跳转到内容
打开/关闭菜单
打开/关闭外观设置菜单
打开/关闭个人菜单
未登录
登录后可编辑和发表评论。

MediaWiki:Gadget-noteTA.css

MediaWiki界面

注意:在发布之后,您可能需要清除浏览器缓存才能看到所作出的更改的影响。

  • Firefox或Safari:按住Shift的同时单击刷新,或按Ctrl + F5Ctrl + R(Mac为 R
  • Google Chrome:Ctrl + Shift + R(Mac为 Shift R
  • Edge:按住Ctrl的同时单击刷新,或按Ctrl + F5
/**
 * @source https://zh.wikipedia.org/wiki/_?oldid=22973238
 * 更新后请同步更新上面链接到最新版本
 */
/*
 * 引自 https://zh.wikipedia.org/wiki/MediaWiki:Gadget-noteTA.css
 * User:AnnAngela做了整合
 */
#noteTA-lang {
    background: #36C;
    color: white;
    text-align: center;
    padding: .5rem;
    position: fixed;
    top: 0;
    left: 0;
    right: 0;
    z-index: 9999;
}

[id^="mobile-noteTA-" i] {
    cursor: pointer;
}

/* 只有打开小工具才有的按钮动画, written by User:机智的小鱼君 */
.noteTAViewer-button:hover {
    border-color: #36ad6a;
    color: #36ad6a;
}

.noteTAViewer-button:active {
    border-color: #0c7a43;
    color: #0c7a43;
}

.noteTAViewer-button::after {
    content: "";
    position: absolute;
    left: 0;
    top: 0;
    width: 100%;
    height: 100%;
    box-shadow: 0 0 0 6px #36ad6a;
    opacity: 0;
    transition: all 0.4s ease;
    border-radius: 100vw;
}

.noteTAViewer-button:active::after {
    transition: 0s;
    box-shadow: 0 0 0 1px #36ad6a;
    opacity: 1;
}